statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2009 Bryan O'Sullivan
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.Exponential

Contents

- Constructors
- Accessors

Description

The exponential distribution. This is the continunous probability distribution of the times between events in a poisson process, in which events occur continuously and independently at a constant average rate.

Synopsis

- data ExponentialDistribution
- exponential :: Double -> ExponentialDistribution
- exponentialFromSample :: Sample -> ExponentialDistribution
- edLambda :: ExponentialDistribution -> Double

# Documentation

data ExponentialDistribution Source

Instances

Eq ExponentialDistribution Source |
Data ExponentialDistribution Source |
Read ExponentialDistribution Source |
Show ExponentialDistribution Source |
Generic ExponentialDistribution Source |
ToJSON ExponentialDistribution Source |
FromJSON ExponentialDistribution Source |
Binary ExponentialDistribution Source |
ContGen ExponentialDistribution Source |
Entropy ExponentialDistribution Source |
MaybeEntropy ExponentialDistribution Source |
Variance ExponentialDistribution Source |
MaybeVariance ExponentialDistribution Source |
Mean ExponentialDistribution Source |
MaybeMean ExponentialDistribution Source |
ContDistr ExponentialDistribution Source |
Distribution ExponentialDistribution Source |
type Rep ExponentialDistribution Source |

# Constructors

exponential Source

Arguments

:: Double | λ (scale) parameter.
-> ExponentialDistribution |

Create an exponential distribution.

exponentialFromSample :: Sample -> ExponentialDistribution Source

Create exponential distribution from sample. No tests are made to check whether it truly is exponential.

# Accessors

edLambda :: ExponentialDistribution -> Double Source